/* SuperSolitaire.java
 * CS193J Winter 1999
 */

/**
 * SuperSolitaire is the main class for this program.
 *
 * <P>The current version of the class doesn't do much. See the comments
 * for the main method which explain what the starting version does.
 *
 * <P>You will need to edit this need to edit this class to set up and 
 * configure games which play until the user quits.
 *
 * @version      1.1 01/24/99
 * @author       Julie Zelenski
 */
public class SuperSolitaire {

	/**
	  * The current version of main doesn't do much. It initializes the
	  * Display which causes the empty game window to appear and the 
	  * menus to be installed. The user can select menu items, drag across 
	  * the board, etc.  The code below will get each user actions by
	  * asking the Display and look for a quit command to halt the program.
	  * need to add the processing that handles the different commands
	  * other than just the Quit command. You will need to edit this
	  * need to edit this class to set up and configure games which
      * play until the user quits.
	  */
	public static void main(String args[]) 
	{
		Display.initialize();
		while (true) {
			Command cmd = Display.getCommandFromUser();
			if (cmd.getCommandType() == Command.Quit) // if quit command
				System.exit(0); // Exit entire program, close all windows
		}
	}

}
